Package org.kapott.hbci.smartcardio

# Class DDVCardService1

java.lang.Object
org.kapott.hbci.smartcardio.SmartCardService
org.kapott.hbci.smartcardio.HBCICardService
org.kapott.hbci.smartcardio.DDVCardService
org.kapott.hbci.smartcardio.DDVCardService1

public class DDVCardService1 extends DDVCardService
DDV-Cardservice fuer Karten des Types 0, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.kapott.hbci.smartcardio.SmartCardService

`SmartCardService.Feature`

## Constructor Summary

Constructors
Constructor
Description
`DDVCardService1()`

## Method Summary

Modifier and Type
Method
Description
`protected byte[]`
`calculateSignature(byte[] data_l)`
Erzeugt eine Signatur.
`protected void`
`init(Card card)`
Initialisiert den Service mit der angegebenen Karte.
`DDVKeyData[]`
`readKeyData()`
Liefert die Schluesseldaten.

### Methods inherited from class org.kapott.hbci.smartcardio.DDVCardService

`createPINVerificationDataStructure, decrypt, getCID, getEncryptionKeys, readBankData, readSigId, sign, writeBankData, writeSigId`

### Methods inherited from class org.kapott.hbci.smartcardio.HBCICardService

`getCardId, verifyHardPIN, verifySoftPIN`

### Methods inherited from class org.kapott.hbci.smartcardio.SmartCardService

`check, close, createInstance, expand, getCard, getChallenge, getFeatures, getKeyInfo, internalAuthenticate, putData, readBinary, readRecordBySFI, receive, receive, selectFile, selectSubFile, send, toBytes, toHex, toHex, updateRecordBySFI, writeRecordBySFI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DDVCardService1

public DDVCardService1()

## Method Details

### init

protected void init(Card card)
Description copied from class: `SmartCardService`
Initialisiert den Service mit der angegebenen Karte.

Overrides:
  `init` in class `SmartCardService`
Parameters:
  `card` - die Karte.
See Also:
  - `SmartCardService.init(javax.smartcardio.Card)`

### readKeyData

public DDVKeyData[] readKeyData()
Description copied from class: `DDVCardService`
Liefert die Schluesseldaten.

Specified by:
  `readKeyData` in class `DDVCardService`
Returns:
  die Schluesseldaten.
See Also:
  - `DDVCardService.readKeyData()`

### calculateSignature

protected byte[] calculateSignature(byte[] data_l)
Description copied from class: `DDVCardService`
Erzeugt eine Signatur.

Specified by:
  `calculateSignature` in class `DDVCardService`
Parameters:
  `data_l` - die zu signierenden Daten.
Returns:
  die Signature,
See Also:
  - `DDVCardService.calculateSignature(byte[])`